package com.synhaptein.scalator.security

/**
 * UserRepository interface.
 *
 * Redistributions of files must retain the above copyright notice.
 *
 * @copyright     Copyright 2010-2011, SynHaptein (http://www.synhaptein.com)
 * @link          http://www.synhaptein.com/scalator scalator project
 * @since         scalator 0.1
 * @license       http://www.synhaptein.com/scalator/license.html
 */

trait UserRepository
{
  def create(user: User): String
  def find(username: String): Option[User]
  def delete(user: User)
  def update(user: User)
}