package com.synhaptein.scalator.security

/**
 * Basic implementation of a user.
 *
 * Redistributions of files must retain the above copyright notice.
 *
 * @copyright     Copyright 2010-2011, SynHaptein (http://www.synhaptein.com)
 * @link          http://www.synhaptein.com/scalator scalator project
 * @since         scalator 0.1
 * @license       http://www.synhaptein.com/scalator/license.html
 */

class User(var username: String, var password: String, var email: String,
           var firstName: String, var lastName: String, var groups: List[String])
{
  private var id: String = ""

  def getId(): String = id

  def setId(id: String) = {
    this.id = id  
  }

  def getUsername(): String = username

  def setUsername(username: String) = {
    this.username = username
  }

  def getPassword(): String = password

  def setPassword(password: String) = {
    this.password = password
  }

  def getFirstName(): String = firstName

  def setFirstName(firstName: String) = {
    this.firstName = firstName
  }

  def getLastName(): String = lastName

  def setLastName(lastName: String) = {
    this.lastName = lastName
  }

  def getEmail(): String = email

  def setEmail(email: String) = {
    this.email = email
  }

  def getGroups(): List[String] = groups

  def setGroups(groups: List[String]) = {
    this.groups = groups
  }
}